# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    earth3d
%define version 1.0.3
%define release 1.2006mcnl
%define summary a 3d earth viewer
%define section More Applications/Sciences/Astronomy
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.earth3d.org
License:        GPL
Group:          Sciences/Astronomy
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}_client-%{version}-src.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
Earth3D is a program that visualizes the earth in realtime in a 3D view. It uses data from NASA, USGS, the CIA and the city of Osnabrck. 

%prep
rm -rf %{buildroot}
%setup -q -n %{name}

%build 

qmake earth3d.pro

%make

%install

mkdir -p %{buildroot}%{_bindir}
mv earth3d %{buildroot}%{_bindir}

#icons
%define  nameicon images/earth_rotate_icon.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/earth3d" \
needs="X11" \
icon="%name" \
section="%section" \
title="Earth 3D" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf %{buildroot}


%files 
%defattr(-,root,root,0755) 
%doc README LICENSE.GPL

%{_bindir}/earth3d
%{_menudir}/%{name}
%{_iconsdir}


%changelog 

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.3-1.2006mcnl
new version

*Wed Jul 20 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.2-1.102mcnl
new version

*Fri Jun 24 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.1-1.102mcnl
Build for mandrivaclub.nl


